use crate::json_utils::{make_common_resp, MessageData};
use futures::SinkExt;
use tungstenite::{Error, Message};

// 处理其他类型消息
pub(crate) async fn handle_other_message(
    // 增加 + std::marker::Unpin 限制
    sender: &mut (impl SinkExt<Message, Error = Error> + std::marker::Unpin),
    data: &MessageData,
) -> Result<(), Error> {
    println!("收到客户端消息: {:?}", data);
    if let Ok(json_str) = make_common_resp(Default::default(), "") {
        sender.send(Message::text(json_str)).await?;
    }
    Ok(())
}