use serde::{Deserialize, Serialize};
use serde_json::Result;

// 定义消息结构
#[derive(Serialize, Deserialize, Debug)]
pub struct MessageData {
    #[serde(rename = "msgType")]
    pub msg_type: String,
    #[serde(rename = "fromId")]
    pub from_id: String,
    #[serde(rename = "fromName")]
    pub from_name: String,
    #[serde(rename = "msgData")]
    pub msg_data: serde_json::Value,
}

pub fn make_common_resp(value: serde_json::Value, msg_type: &str) -> Result<String> {
    serialize_message(&MessageData {
        msg_type: msg_type.to_string(),
        from_id: "0".to_string(),
        from_name: "Server".to_string(),
        msg_data: value,
    })
}

// 解析 JSON 消息
pub fn parse_message(json_str: &str) -> Result<MessageData> {
    serde_json::from_str(json_str)
}

// 序列化消息为 JSON 字符串
pub fn serialize_message(msg: &MessageData) -> Result<String> {
    serde_json::to_string(msg)
}